> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Static QR

> Update a static QR code's label or configuration



## OpenAPI

````yaml put /v1/static_qr/{static_qr_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/static_qr/{static_qr_id}:
    put:
      summary: Update Static QR
      description: This endpoint allows you to update a static QR.
      operationId: update-static-qr
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: static_qr_id
          in: path
          description: The static QR id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 255
                  description: Static QR name
                location_id:
                  type: string
                  format: uuid
                  example: 9cc4aee8-c1b4-4401-af57-aea884c780cb
                  description: The active location id that the static QR will use.
                amount:
                  type: number
                  minimum: 0
                  description: The amount for static QR.
                  example: 10.99
                currency:
                  type: string
                  maxLength: 3
                  description: >-
                    The currency for static QR. It's required field if the
                    amount is present.
                  example: sgd
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  reference:
                    type: string
                  payment_provider:
                    type: string
                  payment_provider_method:
                    type: string
                  amount:
                    type: number
                  currency:
                    type: string
                  payment_provider_method_logos:
                    type: array
                    items:
                      type: object
                      properties:
                        sm:
                          type: string
                        md:
                          type: string
                        lg:
                          type: string
                        svg:
                          type: string
                        svg_square:
                          type: string
                        png_square:
                          type: string
                        method:
                          type: string
                        iconName:
                          type: string
                        displayName:
                          type: string
                      required:
                        - sm
                        - md
                        - lg
                        - svg
                        - svg_square
                        - png_square
                        - method
                        - iconName
                        - displayName
                  payment_provider_method_main_logo:
                    type: object
                    properties:
                      sm:
                        type: string
                      md:
                        type: string
                      lg:
                        type: string
                      svg:
                        type: string
                      svg_square:
                        type: string
                      png_square:
                        type: string
                      method:
                        type: string
                      iconName:
                        type: string
                      displayName:
                        type: string
                    required:
                      - sm
                      - md
                      - lg
                      - svg
                      - svg_square
                      - png_square
                      - method
                      - iconName
                      - displayName
                  created_by:
                    type: object
                    properties:
                      id:
                        type: string
                      display_name:
                        type: string
                      first_name:
                        type: string
                      last_name:
                        type: string
                    required:
                      - id
                      - display_name
                      - first_name
                      - last_name
                  location_id:
                    type:
                      - string
                      - 'null'
                  location:
                    type:
                      - object
                      - 'null'
                    properties:
                      name:
                        type: string
                      address:
                        type: string
                    required:
                      - name
                      - address
                  device_id: {}
                  device: {}
                  qr_value:
                    type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - name
                  - reference
                  - payment_provider
                  - payment_provider_method
                  - amount
                  - currency
                  - payment_provider_method_logos
                  - payment_provider_method_main_logo
                  - created_by
                  - location_id
                  - location
                  - device_id
                  - device
                  - qr_value
                  - created_at
                  - updated_at
      deprecated: false

````